Bug 592203 - [RHEL6 beta1] Panic occurs during installation on x86_64
[RHEL6 beta1] Panic occurs during installation on x86_64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
high Severity medium
: beta
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 04:42 EDT by Issue Tracker
Modified: 2010-10-23 11:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-23 12:03:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2010-05-14 04:42:34 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2010-05-14 04:42:35 EDT
Event posted on 05-07-2010 01:33pm CST by okawa-kxa@necst.nec.co.jp

Description of problem:
 Panic occurs during installation of RHEL6 beta1 x86_64 on some specific machines
 when installer install packages.
 This issue occurs only on x86_64 and does not occur on i386.
 If I switch the console using Alt+Ctrl+F3, a panic message is displayed.

Version-Release number of selected component (if applicable):
 RHEL6 beta1 (2.6.32-19.el6.x86_64)

How reproducible:
 100%

Steps to Reproduce:
 1. Install RHEL6 beta1 x86_64 using graphic install with basic server packages.

Actual results:
 Installation stop when install packages.

Expected results:
 Installation finishes normally.

Business impact:
 Customers cannot use RHEL6 with x86_64.

Hardware info:
 Machine  : Express5800/R110b-1
 CPU      : Intel(R) Xeon(R) CPU           X3460  @ 2.80GHz
 CPU num  : 1
 Memory   : 4GB

Additional info:
 Most of the panic messages get scrolled out from the Alt+Ctrl+F3 screen.
 This problem can be reproduced using serial console with VNC
 installation.  The attached file contains the panic message collected
 from the serial console.
This event sent from IssueTracker by dwu  [SEG - Kernel]
 issue 860453
Comment 2 Issue Tracker 2010-05-14 04:42:37 EDT
Event posted on 05-14-2010 02:38pm CST by okawa-kxa@necst.nec.co.jp

Hi Furuta-san,

I conformed that this issue occurs during installation of RHEL6
s3(2.6.32-24.el6) with 'Basic Server' package group,
and does not occur during installation of RHEL6 s3 with 'Minimal'
package group.

I upload sosreport got on RHEL6 s3 that installed with 'Minimal' package
group.


This event sent from IssueTracker by dwu  [SEG - Kernel]
 issue 860453
Comment 3 Mark Wu 2010-05-14 04:46:03 EDT
The panic message:
08:36:12 Starting graphical installation.
BUG: NMI Watchdog detected LOCKUP on CPU1, ip ffffffff81038abc, registers:
CPU 1
Modules linked in: xfs(U) exportfs(U) vfat(U) fat(U) ext3(U) jbd(U) ext2(U) ext4(U) mbcache(U) jbd2(U) fcoe(U) libfcoe(U) libfc(U) scsi_transport_fc(U) scsi_tgt(U) xts(U) lrw(U) gf128mul(U) sha256_generic(U) cbc(U) dm_crypt(U) dm_round_robin(U) dm_multipath(U) dm_snapshot(U) dm_mirror(U) dm_region_hash(U) dm_log(U) dm_zero(U) dm_mod(U) linear(U) raid10(U) raid456(U) async_raid6_recov(U) async_pq(U) raid6_pq(U) async_xor(U) xor(U) async_memcpy(U) async_tx(U) raid1(U) raid0(U) sg(U) sr_mod(U) sd_mod(U) cdrom(U) crc_t10dif(U) ata_generic(U) pata_acpi(U) ata_piix(U) e1000e(U) ipv6(U) iscsi_ibft(U) pcspkr(U) edd(U) iscsi_tcp(U) libiscsi_tcp(U) libiscsi(U) scsi_transport_iscsi(U) squashfs(U) cramfs(U)
Pid: 433, comm: anaconda Tainted: G        W  2.6.32-19.el6.x86_64 #1 Express5800/R110b-1 [N8100-1581]
RIP: 0010:[<ffffffff81038abc>]  [<ffffffff81038abc>] native_write_cr0+0xc/0x10
RSP: 0018:ffff88017b7fddc8  EFLAGS: 00000002
RAX: 0000000080050033 RBX: ffff88017b7f40c0 RCX: ffff8801740e0400
RDX: 0000000000000000 RSI: 0000000000000001 RDI: 000000008005003b
RBP: ffff88017b7fddc8 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000293 R12: ffff880175cb2ac0
R13: 0000000000000000 R14: 0000000000000001 R15: ffff88017b7f4760
FS:  00007fe444a27700(0000) GS:ffff880028240000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 00007fe41f96e000 CR3: 000000016cd45000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process anaconda (pid: 433, threadinfo ffff880174eae000, task ffff880175cb2ac0)
Stack:
 ffff88017b7fde28 ffffffff8101170f 0000000000000000 ffff880175cb2ac0
<0> 0000000000cb2af8 ffff880028253cc0 ffff88017b7fde38 ffff880028256100
<0> 0000000000000000 ffff880175630380 0000000000000000 ffff880174eafb88
Call Trace:
Code: 48 89 e5 0f 1f 44 00 00 0f 06 c9 c3 0f 1f 00 55 48 89 e5 0f 1f 44 00 00 0f 20 c0 c9 c3 66 90 55 48 89 e5 0f 1f 44 00 00 0f 22 c7 <c9> c3 66 90 55 48 89 e5 0f 1f 44 00 00 0f 20 d0 c9 c3 66 90 55
---[ end trace 6a92efd579840895 ]---
Kernel panic - not syncing: Non maskable interrupt
Pid: 433, comm: anaconda Tainted: G      D W  2.6.32-19.el6.x86_64 #1
Call Trace:
 <NMI>  [<ffffffff814bfd69>] panic+0x78/0x137
 [<ffffffff81067903>] ? print_oops_end_marker+0x23/0x30
 [<ffffffff814c3eec>] die_nmi+0xfc/0x100
 [<ffffffff814c44aa>] nmi_watchdog_tick+0x1ba/0x210
 [<ffffffff814c3a13>] do_nmi+0x1a3/0x2e0
 [<ffffffff814c32f0>] nmi+0x20/0x30
 [<ffffffff81038abc>] ? native_write_cr0+0xc/0x10
 <<EOE>>
------------[ cut here ]------------
WARNING: at arch/x86/kernel/smp.c:117 native_smp_send_reschedule+0x5c/0x60() (Tainted: G      D W )
Hardware name: Express5800/R110b-1 [N8100-1581]
Modules linked in: xfs(U) exportfs(U) vfat(U) fat(U) ext3(U) jbd(U) ext2(U) ext4(U) mbcache(U) jbd2(U) fcoe(U) libfcoe(U) libfc(U) scsi_transport_fc(U) scsi_tgt(U) xts(U) lrw(U) gf128mul(U) sha256_generic(U) cbc(U) dm_crypt(U) dm_round_robin(U) dm_multipath(U) dm_snapshot(U) dm_mirror(U) dm_region_hash(U) dm_log(U) dm_zero(U) dm_mod(U) linear(U) raid10(U) raid456(U) async_raid6_recov(U) async_pq(U) raid6_pq(U) async_xor(U) xor(U) async_memcpy(U) async_tx(U) raid1(U) raid0(U) sg(U) sr_mod(U) sd_mod(U) cdrom(U) crc_t10dif(U) ata_generic(U) pata_acpi(U) ata_piix(U) e1000e(U) ipv6(U) iscsi_ibft(U) pcspkr(U) edd(U) iscsi_tcp(U) libiscsi_tcp(U) libiscsi(U) scsi_transport_iscsi(U) squashfs(U) cramfs(U)
Pid: 433, comm: anaconda Tainted: G      D W  2.6.32-19.el6.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff81067c33>] warn_slowpath_common+0x83/0xc0
 [<ffffffff81067c84>] warn_slowpath_null+0x14/0x20
 [<ffffffff8102be3c>] native_smp_send_reschedule+0x5c/0x60
 [<ffffffff8104c428>] resched_task+0x68/0x80
 [<ffffffff8104c455>] check_preempt_curr_idle+0x15/0x20
 [<ffffffff81059ccf>] try_to_wake_up+0x24f/0x380
 [<ffffffff81059e12>] default_wake_function+0x12/0x20
 [<ffffffff81173586>] pollwake+0x56/0x60
 [<ffffffff81059e00>] ? default_wake_function+0x0/0x20
 [<ffffffff8104bcc9>] __wake_up_common+0x59/0x90
 [<ffffffff81052d08>] __wake_up+0x48/0x70
 [<ffffffff8109d110>] ? tick_sched_timer+0x0/0xc0
 [<ffffffff81068577>] printk_tick+0x47/0x50
 [<ffffffff810793ed>] update_process_times+0x4d/0x70
 [<ffffffff8109d176>] tick_sched_timer+0x66/0xc0
 [<ffffffff81091990>] __run_hrtimer+0x90/0x1a0
 [<ffffffff8101a2a9>] ? read_tsc+0x9/0x20
 [<ffffffff81091d36>] hrtimer_interrupt+0xe6/0x1f0
 [<ffffffff81037437>] hpet_interrupt_handler+0x17/0x40
 [<ffffffff810cf740>] handle_IRQ_event+0x60/0x170
 [<ffffffff810d1d22>] handle_edge_irq+0xc2/0x160
 [<ffffffff810142cc>] ? call_softirq+0x1c/0x30
 [<ffffffff81015f59>] handle_irq+0x49/0xa0
 [<ffffffff814c7a8c>] do_IRQ+0x6c/0xf0
 [<ffffffff81013ad3>] ret_from_intr+0x0/0x11
 <EOI>  <NMI>  [<ffffffff814bfe05>] ? panic+0x114/0x137
 [<ffffffff814bfd92>] ? panic+0xa1/0x137
 [<ffffffff81067903>] ? print_oops_end_marker+0x23/0x30
 [<ffffffff814c3eec>] ? die_nmi+0xfc/0x100
 [<ffffffff814c44aa>] ? nmi_watchdog_tick+0x1ba/0x210
 [<ffffffff814c3a13>] ? do_nmi+0x1a3/0x2e0
 [<ffffffff814c32f0>] ? nmi+0x20/0x30
 [<ffffffff81038abc>] ? native_write_cr0+0xc/0x10
 <<EOE>>
---[ end trace 6a92efd579840896 ]---
BUG: NMI Watchdog detected LOCKUP on CPU0, ip ffffffff814c2b7e, registers:
CPU 0
Modules linked in: xfs(U) exportfs(U) vfat(U) fat(U) ext3(U) jbd(U) ext2(U) ext4(U) mbcache(U) jbd2(U) fcoe(U) libfcoe(U) libfc(U) scsi_transport_fc(U) scsi_tgt(U) xts(U) lrw(U) gf128mul(U) sha256_generic(U) cbc(U) dm_crypt(U) dm_round_robin(U) dm_multipath(U) dm_snapshot(U) dm_mirror(U) dm_region_hash(U) dm_log(U) dm_zero(U) dm_mod(U) linear(U) raid10(U) raid456(U) async_raid6_recov(U) async_pq(U) raid6_pq(U) async_xor(U) xor(U) async_memcpy(U) async_tx(U) raid1(U) raid0(U) sg(U) sr_mod(U) sd_mod(U) cdrom(U) crc_t10dif(U) ata_generic(U) pata_acpi(U) ata_piix(U) e1000e(U) ipv6(U) iscsi_ibft(U) pcspkr(U) edd(U) iscsi_tcp(U) libiscsi_tcp(U) libiscsi(U) scsi_transport_iscsi(U) squashfs(U) cramfs(U)
Pid: 481, comm: Xvnc Tainted: G      D W  2.6.32-19.el6.x86_64 #1 Express5800/R110b-1 [N8100-1581]
RIP: 0010:[<ffffffff814c2b7e>]  [<ffffffff814c2b7e>] _spin_lock+0x1e/0x30
RSP: 0018:ffff88016cc75998  EFLAGS: 00000097
RAX: 00000000000092c7 RBX: 0000000000016100 RCX: 0000000000000000
RDX: 00000000000092c6 RSI: ffff88016cc759f0 RDI: ffff880028256100
RBP: ffff88016cc75998 R08: 0000000000000000 R09: 0000000000000001
R10: 0000000000000029 R11: 0000000000000000 R12: ffff880175cb2ac0
R13: ffff88016cc759f0 R14: ffff880028256100 R15: ffff88016cc759f0
FS:  00007fbe82345720(0000) GS:ffff880028200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00007fbe7ea16000 CR3: 0000000175f5a000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xvnc (pid: 481, threadinfo ffff88016cc74000, task ffff880174c86100)
Stack:
 ffff88016cc759c8 ffffffff81052e4d ffff880175cb2ac0 0000000000000000
<0> ffff8801748c50e0 0000000000000001 ffff88016cc75a28 ffffffff81059ad1
<0> 0000000075cb2ac0 ffff880000000001 ffff88016cc759f8 0000000000000082
Call Trace:
 [<ffffffff81052e4d>] task_rq_lock+0x5d/0xa0
 [<ffffffff81059ad1>] try_to_wake_up+0x51/0x380
 [<ffffffff81059e12>] default_wake_function+0x12/0x20
 [<ffffffff81173586>] pollwake+0x56/0x60
 [<ffffffff81059e00>] ? default_wake_function+0x0/0x20
 [<ffffffff8104bcc9>] __wake_up_common+0x59/0x90
 [<ffffffff81052c73>] __wake_up_sync_key+0x53/0x80
 [<ffffffff81493d71>] ? unix_stream_recvmsg+0x2a1/0x690
 [<ffffffff81052cb0>] __wake_up_sync+0x10/0x20
 [<ffffffff81492ff0>] unix_write_space+0x50/0x80
 [<ffffffff813ef783>] sock_wfree+0x53/0x60
 [<ffffffff813f1eca>] skb_release_head_state+0x6a/0x110
 [<ffffffff813f1b56>] __kfree_skb+0x16/0xa0
 [<ffffffff813f1c62>] kfree_skb+0x42/0x90
 [<ffffffff81493d71>] unix_stream_recvmsg+0x2a1/0x690
 [<ffffffff813e9de9>] sock_aio_read+0x159/0x160
 [<ffffffff8115e29b>] ? do_sync_readv_writev+0xfb/0x140
 [<ffffffff8108dc00>] ? autoremove_wake_function+0x0/0x40
 [<ffffffff8115e51a>] do_sync_read+0xfa/0x140
 [<ffffffff8108dc00>] ? autoremove_wake_function+0x0/0x40
 [<ffffffff811f963f>] ? selinux_file_permission+0xbf/0x150
 [<ffffffff811ec646>] ? security_file_permission+0x16/0x20
 [<ffffffff8115ea51>] vfs_read+0x181/0x1a0
 [<ffffffff810cb172>] ? audit_syscall_entry+0x242/0x270
 [<ffffffff8115f001>] sys_read+0x51/0x90
 [<ffffffff81013172>] system_call_fastpath+0x16/0x1b
Code: 00 00 00 01 74 05 e8 42 e0 d8 ff c9 c3 55 48 89 e5 0f 1f 44 00 00 b8 00 00 01 00 f0 0f c1 07 0f b7 d0 c1 e8 10 39 c2 74 07 f3 90 <0f> b7 17 eb f5 c9 c3 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89
---[ end trace 6a92efd579840897 ]---
Kernel panic - not syncing: Non maskable interrupt
Pid: 481, comm: Xvnc Tainted: G      D W  2.6.32-19.el6.x86_64 #1
Call Trace:
 <NMI>  [<ffffffff814bfd69>] panic+0x78/0x137
 [<ffffffff81067903>] ? print_oops_end_marker+0x23/0x30
 [<ffffffff814c3eec>] die_nmi+0xfc/0x100
 [<ffffffff814c44aa>] nmi_watchdog_tick+0x1ba/0x210
 [<ffffffff814c3a13>] do_nmi+0x1a3/0x2e0
 [<ffffffff814c32f0>] nmi+0x20/0x30
 [<ffffffff814c2b7e>] ? _spin_lock+0x1e/0x30
 <<EOE>>  [<ffffffff81052e4d>] task_rq_lock+0x5d/0xa0
 [<ffffffff81059ad1>] try_to_wake_up+0x51/0x380
 [<ffffffff81059e12>] default_wake_function+0x12/0x20
 [<ffffffff81173586>] pollwake+0x56/0x60
 [<ffffffff81059e00>] ? default_wake_function+0x0/0x20
 [<ffffffff8104bcc9>] __wake_up_common+0x59/0x90
 [<ffffffff81052c73>] __wake_up_sync_key+0x53/0x80
 [<ffffffff81493d71>] ? unix_stream_recvmsg+0x2a1/0x690
 [<ffffffff81052cb0>] __wake_up_sync+0x10/0x20
 [<ffffffff81492ff0>] unix_write_space+0x50/0x80
 [<ffffffff813ef783>] sock_wfree+0x53/0x60
 [<ffffffff813f1eca>] skb_release_head_state+0x6a/0x110
 [<ffffffff813f1b56>] __kfree_skb+0x16/0xa0
 [<ffffffff813f1c62>] kfree_skb+0x42/0x90
 [<ffffffff81493d71>] unix_stream_recvmsg+0x2a1/0x690
 [<ffffffff813e9de9>] sock_aio_read+0x159/0x160
 [<ffffffff8115e29b>] ? do_sync_readv_writev+0xfb/0x140
 [<ffffffff8108dc00>] ? autoremove_wake_function+0x0/0x40
 [<ffffffff8115e51a>] do_sync_read+0xfa/0x140
 [<ffffffff8108dc00>] ? autoremove_wake_function+0x0/0x40
 [<ffffffff811f963f>] ? selinux_file_permission+0xbf/0x150
 [<ffffffff811ec646>] ? security_file_permission+0x16/0x20
 [<ffffffff8115ea51>] vfs_read+0x181/0x1a0
 [<ffffffff810cb172>] ? audit_syscall_entry+0x242/0x270
 [<ffffffff8115f001>] sys_read+0x51/0x90
 [<ffffffff81013172>] system_call_fastpath+0x16/0x1b
Comment 6 RHEL Product and Program Management 2010-05-14 05:44:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 Issue Tracker 2010-05-17 03:32:32 EDT
Event posted on 05-17-2010 04:32pm JST by mfuruta@redhat.com

Hi,

> Business impact:
> Customers cannot use RHEL6 with x86_64.

As customer reported, this is very important bug (reproducible 100%) and
occured on beta period. Could you please let me know when/how NEC could
verify the fix before GA?

Thank you in advance.

Best Regards,
Masaki Furuta


This event sent from IssueTracker by mfuruta@redhat.com 
 issue 860453
Comment 8 Issue Tracker 2010-05-17 03:36:40 EDT
Event posted on 05-17-2010 04:36pm JST by mfuruta@redhat.com

Hi Engineering,

I am also confirming if a customer still have this problem on Snapshot 3.


This event sent from IssueTracker by mfuruta@redhat.com 
 issue 860453
Comment 10 RHEL Product and Program Management 2010-07-15 11:17:53 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Note You need to log in before you can comment on or make changes to this bug.